Recommendation APIs

GETSimilar Products

Return a list of products similar to the given product code.

GEThttps://api.catalogix.ai/v1/similar

Authorization

Authorizationstringrequiredheader
Bearer token, Bearer <token>. Create one under Tokens in your workspace.

Query parameters

store_uuidstringrequired
Store identifier used to resolve store name
Example: 699ec31355208b213e56059a
product_codestringrequired
Product code of the source product
Example: SKU001
offsetintegerdefault: 0
Pagination offset
limitintegerdefault: 10
Maximum results (max 10)

Headers

X-Request-Idstring
Optional trace ID

Responses

200Similar products
statusobject
Fields
codeinteger
0 = success, -1 = error
Example: 0
messagestring
Example: SUCCESS
request_idstring
Example: 8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312
dataobject
Fields
productsobject[]
Item fields
product_codestring
Example: SKU002
scorenumber
Example: 0.97
numFoundinteger
Example: 142
401Unauthorized – Bearer token missing or invalid
statusobject
Fields
codeinteger
Example: -1
messagestring
Example: Unauthorized – invalid or missing Bearer token
404Store not found
statusstringdefault: "error"
The status of the request, typically 'error'
detailstringrequired
A description of the error
500Internal server error
statusobject
Fields
codeinteger
Example: -1
messagestring
Example: Internal server error. Please contact support@catalogix.ai
502External API failure
statusstringdefault: "error"
The status of the request, typically 'error'
detailstringrequired
A description of the error

Something missing or unclear? Write to support@streamoid.com.

esc